\version "2.19.32"
cred = {\override Stem.color = #red
  \override NoteHead.color = #red
  }
cgreen = {\override Stem.color = #green
  \override NoteHead.color = #green
   }
cblack = {\override Stem.color = #black
  \override NoteHead.color = #black
  \override Beam.color = #black }
cblue = {\override Stem.color = #blue
  \override NoteHead.color = #blue
  }
#(define-markup-list-command (paragraph layout props args) (markup-list?)
  (interpret-markup-list layout props
   (make-justified-lines-markup-list (cons (make-hspace-markup 0) args))))
sn=\stemNeutral
su=\stemUp
sd=\stemDown
tn=\tieNeutral
chordGlissando =
#(define-music-function (mus1 mus2) (ly:music? ly:music?)
  "Make a glissando between the notes of triads @code{mus1} and @code{mus2}."

  (define (add-glissando musChord)
          (let ((els (ly:music-property musChord 'elements)))
               (ly:music-set-property! musChord 'elements (append els (list (make-music 'GlissandoEvent))))
               musChord))

  (define (get-notes musicChord)
          (filter (lambda(x) (eq? (ly:music-property x 'name) 'NoteEvent))
                  (ly:music-property musicChord 'elements)))

  (define (select-note musChord index)
          (let* ((notes (get-notes musChord))
                 (non-notes (filter (lambda (x)
                                   (not (eq? (ly:music-property x 'name)
                                             'NoteEvent)))
                           (ly:music-property musChord 'elements)))
                 (selected-note (list-ref notes index))
                 (new-els (cons selected-note non-notes))
                 (new-mus (ly:music-deep-copy musChord)))
                (ly:music-set-property! new-mus 'elements new-els)
                new-mus))

  (define (add-glissando-line mus1 mus2 index)
          (context-spec-music
            (context-spec-music
              (make-sequential-music
                (list
                  hideNotes
                  (make-grob-property-set 'StringNumber 'transparent #t)
                  (make-grob-property-set 'NoteColumn 'ignore-collision #t)
                  ;; obviously, this isn't equivalent to \once,
                  ;; so could be changed if required
                  (make-grob-property-set 'Glissando 'thickness 2)
                  (add-glissando (select-note mus1 index))
                  (select-note mus2 index)))
              'Bottom (symbol->string (gensym)))
            'Staff))

  (let* ((notes1 (get-notes mus1))
         (notes2 (get-notes mus2))
         (note-count (min (length notes1) (length notes2))))

        #{
          \once \override Glissando.minimum-length = #5
          \once \override Glissando.springs-and-rods = #ly:spanner::set-spacing-rods
          \once \override Glissando.thickness = #2
          <<
            \override NoteColumn.ignore-collision = ##t
            {
              $(add-glissando mus1)
              $mus2
            }
            $(make-simultaneous-music
            (map (lambda (x)
            (add-glissando-line mus1 mus2 x))
            (iota note-count)))
          >>
          \revert NoteColumn.ignore-collision
#}))

#(define (script x)
        (make-music
          'TextScriptEvent
          'direction #'DOWN
          'text (markup #:vcenter #:circle #:finger x))
)

#(define (add-script m x)
        (if (equal? (ly:music-property m 'name) 'EventChord)
            (set! (ly:music-property m 'elements)
                  (cons (script x)
                        (ly:music-property m 'elements)))
            (let ((es (ly:music-property m 'elements))
                  (e (ly:music-property m 'element)))
                 (map (lambda (y) (add-script y x)) es)
                 (if (ly:music? e)
                     (add-script e x))))
        m)

string = #(define-music-function (stringnum dirn shorten
    adjBreak adjEnd)
  (string? number? pair? number? number?)
  #{
    \once \override TextSpanner.bound-details.left.text = \markup
    \bold { \teeny \concat { \circle { \finger $stringnum } " " } }
    \once \override TextSpanner.font-shape = #'upright
    \once \override TextSpanner.direction = #dirn
    \once \override TextSpanner.dash-period = #0.8
    \once \override TextSpanner.dash-fraction = #1.6
    \once \override TextSpanner.thickness = #0.8
    \once \override TextSpanner.bound-details.right.text = \markup { \draw-line #(cons 0 (/ dirn -2)) }
    \once \override TextSpanner.bound-details.left.stencil-align-dir-y = #CENTER
    \once \override TextSpanner.bound-details.left.padding =
    #(car shorten)
    \once \override TextSpanner.bound-details.right.padding =
    #(cdr shorten)
    \once \override TextSpanner.bound-details.right-broken.padding = #adjEnd
    \once \override TextSpanner.bound-details.left-broken.X =
    #adjBreak
    \once \override TextSpanner.bound-details.left-broken.text = ##f
    \once \override TextSpanner.bound-details.right-broken.text = ##f
#})

cofon ={\cadenzaOff \bar "|"\cadenzaOn}
cofn ={\cadenzaOff \bar "|"\cadenzaOn}
snu = { \set stringNumberOrientations = #'(up) }
snd = { \set stringNumberOrientations = #'(down) }
snl = { \set stringNumberOrientations = #'(left) }
snr = { \set stringNumberOrientations = #'(right)}
fou = { \set fingeringOrientations = #'(up) }
fod = { \set fingeringOrientations = #'(down) }
fol = { \set fingeringOrientations = #'(left) }
for = { \set fingeringOrientations = #'(right) }
sfou = { \set strokeFingerOrientations = #'(up) }
sfod = { \set strokeFingerOrientations = #'(down) }
sfol = { \set strokeFingerOrientations = #'(left) }
sfor = { \set strokeFingerOrientations = #'(right) }
gt = \override Glissando.breakable = ##T
gl = \glissando
gT = \override Glissando.thickness = #2
ignore = \override NoteColumn.ignore-collision = ##t
nignore = \override NoteColumn.ignore-collision = ##f
manualBeam =
#(define-music-function (beg-end)
  (pair?)
  #{
    \once \override Beam.positions = #beg-end
#})
#(set-global-staff-size 20)

#(define (calc-custom-stroke-text grob)
        (let ((text (ly:event-property (event-cause grob) 'text)))
             (if (string? text)
                 (markup #:center-column (#:lower 2.5 "^" text))
                 (stroke-finger::calc-text grob))))

#(define (make-stroke-finger location finger)
        (apply make-music
          (append
            (list
              'StrokeFingerEvent
              'origin location)
            (if  (string? finger)
                 (list 'text finger)
                 (list 'digit finger)))))

da = #(define-music-function () ()
  (make-stroke-finger (*location*) "a"))
dm = #(define-music-function () ()
  (make-stroke-finger (*location*) "m"))
di = #(define-music-function () ()
  (make-stroke-finger (*location*) "i"))
dp = #(define-music-function () ()
  (make-stroke-finger (*location*) "p"))
dan = #(define-music-function () ()
  (make-stroke-finger (*location*) 4))
dmn = #(define-music-function () ()
  (make-stroke-finger (*location*) 3))
din = #(define-music-function () ()
  (make-stroke-finger (*location*) 2))
dpn = #(define-music-function () ()
  (make-stroke-finger (*location*) 1))
#(set-global-staff-size 18)
barre = #(define-music-function (padding text) (number?
string?)
#{
 \once \override TextSpanner.font-size = #-2
 \once \override TextSpanner.padding = #padding
 \once \override TextSpanner.bound-details.left.text = #text
 \once \override TextSpanner.bound-details.left.padding = #-0.5
 \once \override TextSpanner.bound-details.left-broken.text = \markup
{ \null }
 \once \override TextSpanner.bound-details.left-broken.padding = #0
 \once \override TextSpanner.font-shape = #'upright
 \once \override TextSpanner.style = #'line

 %\once \override TextSpanner.style = #'dashed-line
 %\once \override TextSpanner.dash-period = #0.8
 %\once \override TextSpanner.dash-fraction = #0.2

 \once \override TextSpanner.bound-details.left.stencil-align-dir-y =
#CENTER
 \once \override TextSpanner.bound-details.right.text = \markup {
\draw-line #'(0 . -0.4) }
 \once \override TextSpanner.bound-details.right.padding = #-1.0
 \once \override TextSpanner.bound-details.right-broken.text = \markup
{ \null }
 \once \override TextSpanner.bound-details.right-broken.padding = #0
#})

startBarre = \startTextSpan
stopBarre = \stopTextSpan
\paper {
   systems-per-page = 8
  print-page-number = ##t
%   myStaffSize = #16
%   #(define fonts
%     (make-pango-font-tree "URW Palladio L"
%       "URW Palladio L"
%       "URW Palladio L"
%       (/ myStaffSize 16)))
  between-system-spacing = #'((basic-distance . 12) (minimum-distance . 8) (padding . 1))
  ragged-bottom=##f
  ragged-last = ##f
  ragged-last-bottom=##f
  bottom-margin = 1\cm
  left-margin = 1.75\cm
  inner-margin = 0\cm
  right-margin = 1.25\cm
  print-all-headers = ##t
}
csr = \change Staff = "right"
csl = \change Staff = "left"
sa = \startTextSpan
so = \stopTextSpan
br = \break
stu = {\string "1" #DOWN #'(0.25 . -0.75) #7 #0.5 }
std = {\string "2" #DOWN #'(0.25 . -0.75) #7 #0.5 }
stt = {\string "3" #DOWN #'(0.25 . -0.75) #7 #0.5 }
stq = {\string "4" #DOWN #'(0.25 . -0.75) #7 #0.5 }
stc = {\string "5" #DOWN #'(0.25 . -0.75) #7 #0.5 }
sts = {\string "6" #DOWN #'(0.25 . -0.75) #7 #0.5 }

stuu = {\string "1" #UP #'(0.25 . -0.75) #7 #0.5 }
stdu = {\string "2" #UP #'(0.25 . -0.75) #7 #0.5 }
sttu = {\string "3" #UP #'(0.25 . -0.75) #7 #0.5 }
stqu = {\string "4" #UP #'(0.25 . -0.75) #7 #0.5 }
stcu = {\string "5" #UP #'(0.25 . -0.75) #7 #0.5 }
stsu = {\string "6" #UP #'(0.25 . -0.75) #7 #0.5 }

%{
convert-ly (GNU LilyPond) 2.15.27  convert-ly: Elaborazione di «»...
Conversione in corso: 2.15.7, 2.15.9, 2.15.10, 2.15.16, 2.15.17,
2.15.18, 2.15.19, 2.15.20, 2.15.25
%}


%{
convert-ly (GNU LilyPond) 2.19.39  convert-ly: Elaborazione di «»...
Conversione in corso: 2.15.32, 2.15.39, 2.15.40, 2.15.42, 2.15.43,
2.16.0, 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14, 2.17.15,
2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27, 2.17.29, 2.17.97, 2.18.0,
2.19.2, 2.19.7, 2.19.11, 2.19.16, 2.19.22, 2.19.24, 2.19.28, 2.19.29,
2.19.32
%}
